summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/qwt/README9
-rw-r--r--libraries/qwt/qwt.SlackBuild76
-rw-r--r--libraries/qwt/qwt.info8
-rw-r--r--libraries/qwt/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/libraries/qwt/README b/libraries/qwt/README
new file mode 100644
index 0000000000..10cf3fbece
--- /dev/null
+++ b/libraries/qwt/README
@@ -0,0 +1,9 @@
+Qwt is an extension to the Qt GUI library from Troll Tech AS.
+The Qwt library contains widgets and components which are
+primarily useful for technical and scientifical purposes.
+It includes a 2-D plotting widget, different kinds of sliders,
+and much more.
+
+NOTE: when building with qt3, using TMP=/tmp/SBo is strongly recommended.
+Using symlinks or a TMP in /usr/* will lead to the application installing
+files directly onto the system as opposed to the package DESTDIR.
diff --git a/libraries/qwt/qwt.SlackBuild b/libraries/qwt/qwt.SlackBuild
new file mode 100644
index 0000000000..fb75b7372c
--- /dev/null
+++ b/libraries/qwt/qwt.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for qwt
+
+# Written by Zordrak
+# Nobbled from Slacky and sanitised for sanity :)
+
+# Modified by the Slackbuilds.org project
+
+PRGNAM=qwt
+VERSION=${VERSION:-5.1.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+QMAKE=${QMAKE:-$(which qmake)}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i "s%/usr/local/qwt-5.1.1%/usr%" qwtconfig.pri
+$QMAKE INSTALLBASE=/usr CONFIG+=QwtExamples
+make \
+ CFLAGS+="$SLKCFLAGS" \
+ CXXFLAGS+="$SLKCFLAGS"
+make install INSTALL_ROOT=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mv $PKG/usr/doc/man $PKG/usr
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/examples
+cp -a CHANGES COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ./examples/bin/* $PKG/usr/doc/$PRGNAM-$VERSION/examples
+mv $PKG/usr/doc/html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/qwt/qwt.info b/libraries/qwt/qwt.info
new file mode 100644
index 0000000000..81a7c01311
--- /dev/null
+++ b/libraries/qwt/qwt.info
@@ -0,0 +1,8 @@
+PRGNAM="qwt"
+VERSION="5.1.1"
+HOMEPAGE="http://qwt.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/qwt/qwt-5.1.1.tar.bz2"
+MD5SUM="218cef1a39ebda6cfa440a0727464275"
+MAINTAINER="Zordrak"
+EMAIL="slackbuilds@tpa.me.uk"
+APPROVED="rworkman,michiel"
diff --git a/libraries/qwt/slack-desc b/libraries/qwt/slack-desc
new file mode 100644
index 0000000000..3aad864e62
--- /dev/null
+++ b/libraries/qwt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qwt: Qwt (GUI Components & utility for programs with technical background)
+qwt:
+qwt: The Qwt library contains GUI Components and utility classes which are
+qwt: primarily useful for programs with a technical background. Beside a
+qwt: 2D plot widget it provides scales, sliders, dials, compasses,
+qwt: thermometers, wheels and knobs to control or display values, arrays,
+qwt: or ranges of type double.
+qwt:
+qwt:
+qwt:
+qwt: